/**
 * Created by Sam R.
 * on 30-04-2011
 * at 21:56
 */
package com.cirrial.ld20 {
import org.flixel.FlxG;
import org.flixel.FlxState;
import org.flixel.FlxText;

public class MenuState extends FlxState {
    override public function create():void {
        PlayState.won = false;
        FlxG.bgColor = 0xFF000000;
        var txt:FlxText;

        txt = new FlxText(0, 10, Main.SCREEN_WIDTH/Main.ZOOM_LEVEL,
                "THROWBOTS");
        txt.setFormat("gameFont", 20, 0xFFFFFF, "center");
        add(txt);

        txt = new FlxText(0, 50, Main.SCREEN_WIDTH/Main.ZOOM_LEVEL,
                "Controls are:\n" +
                        "Arrow keys or WASD to move\n(also up, W or space to jump)\n" +
                        "Z to interact with objects like switches\n" +
                        "X to throw partner, X again to stop them, and X once more to return them after stopping\n\n" +
                        "Unfortunately I ran out of time to have a proper menu screen so this'll have to do.\n\n\n" +
                        "- Press Z to Play -");
        txt.setFormat("gameFont", 10, 0xFFFFFF, "center");
        add(txt);
    }

    override public function update():void {
        if(FlxG.keys.justPressed("Z")) {
            FlxG.fade(0xFFFFFFFF, 0.5, onFade);
        }
    }

    public function onFade():void {
        FlxG.switchState(new CutsceneState());
    }
}
}
